# coding: UTF-8

import openpyxl as xl
import xlrd
from argparse import ArgumentParser
from collections import defaultdict

monede = {'lei': 'RON', 'EUR': 'EUR', 'USD': 'USD', 'HUF': 'HUF'}
RESIDANCE = 'Romania'
parser = ArgumentParser()
parser.add_argument('-f', '--filename', type=str, default='creante_avansuri.xlsx',
                    help='filename to convert')

args = vars(parser.parse_args())
wb_1 = xl.load_workbook(filename=args['filename'])
ws_1 = wb_1.worksheets[0]
last_row = ws_1.max_row

tip = {'stoc': 1, 'serviciu': 0}
tip_account = defaultdict(lambda: 'Materiale consumabile')
accounts = {'Marfa in depozit': 'Marfuri', 'Alte materiale consumabile': 'Materiale consumabile'}
partners = {'Partener tipic': 'Sablon de cont implicit'}
tip_account.update(accounts)

def account_wrapper(**kwargs):
    wbs = {}
#     wss = {}
    n = 1
    for names, wbooks in kwargs.items():
        names = xl.load_workbook(filename=wbooks)
        wbs[f'wb{n}'] = names
#         wss[f'ws{n}'] = wbs[f'wb{n}'].worksheets[0]
        n+=1
#     return wss
    ws1 = wbs['wb1'].worksheets[0]
#     ws2 = wbs['wb2'].worksheets[0]
    ws1.insert_cols(4)
    area = zip(ws1[f'A1:A{ws1.max_row}'], ws1[f'B1:B{ws1.max_row}'], ws1[f'C1:C{ws1.max_row}'], ws1[f'D1:D{ws1.max_row}'])
    for a, b, c, d in area:
        if a[0].value:
            d[0].value = a[0].value
        elif b[0].value:
            d[0].value = b[0].value
        elif c[0].value:
            d[0].value = c[0].value
    ws1.delete_cols(1, 3)
    wbs['wb1'].save('Plan de conturi_ciel_test.xlsx')
    accounts_ment = ws1[f'A2:A{ws1.max_row}']
#     for v in accounts_ment:
#         if ' ' in v[0].value:
#             v[0].value = v[0].value.replace(' ', '')
#         print(v[0].value)
    return accounts_ment
#     return True

def convert_date(columns: tuple) -> 'returns nothing':
    for i, e in columns:
        if e[0].value:
            i[0].value = e[0].value[-4:]
            + e[0].value[3:5]
            + e[0].value[:2]
