from collections import defaultdict
import openpyxl
import shutil
from copy_xl import (Copy_xl,
                     file_open)
# from openpyxl.styles import numbers
# print(dir(Copy_xl))

v_property = defaultdict(lambda: '#NA')
property_ = {'CJ19MZK': 'BJ',
             'CJ19ZTB': 'PE',
             'CJ20MZK': 'DZ',
             'CJ46ZOP': 'ZZ',
             'CJ84MZK': 'ML',
             'SJ05BFE': 'KZS',
             'CJ30RSO': 'AA',
             'CJ70ZOP': 'ZZ',
             'CJ72MZK': 'AA',
             'CJ09MZK': 'PA'}

v_property.update(property_)

src_book = 'latest_invoice.xlsx'
dest_book = 'HR_SYS_2021.xlsm'
path1 = '\\\mozaiq\\levente.marton\\#cnta\\backup\\Facturi\\Facturi_Mol\\EXCEL\\'
path2 = '\\\mozaiq\\levente.marton\\#mngm\\SALSYS\\'
dest_bak = 'HR_SYS_2021.xlsm.bak'

shutil.copy2(src=path2 + dest_book, dst=path2 + dest_bak)


task = Copy_xl(path1=path1, path2=path2)
print(task.path1, task.path2)
task.loadbooks(src_book, dest_book)

# task.isloaded()

# task.set_sheets('annex_excel_phase2', 'auto')

task.open_workbooks(src_book, dest_book)
task.open_sheets(1, 2)
# task.copy_paste(2, 13, 6) -> old
task.copy_paste(2, 31, 6)

task.open_workbooks(src_book, dest_book)
task.open_sheets(1, 2)
# task.copy_paste(2, 1, 10) -> old
task.copy_paste(2, 3, 10)

task.open_workbooks(src_book, dest_book)
task.open_sheets(1, 2)
# task.copy_paste(2, 3, 13) -> old
task.copy_paste(2, 1, 13)

task.open_workbooks(src_book, dest_book)
task.open_sheets(1, 2)
# task.copy_paste(2, 7, 4) -> old
task.copy_paste(2, 13, 4)

task.open_workbooks(src_book, dest_book)
task.open_sheets(1, 2)
# task.copy_paste(2, 10, 5) -> old
task.copy_paste(2, 16, 5)

task.open_workbooks(src_book, dest_book)
task.open_sheets(1, 2)
# task.copy_paste(2, 25, 7) -> old
task.copy_paste(2, 5, 7)

test_wb = openpyxl.load_workbook('//mozaiq/levente.marton/#mngm/SALSYS/' + dest_book, keep_vba=True)

# print(test_wb.worksheets)
test_ws1 = test_wb.worksheets[1]

# print(test_ws1.max_row)
colC = test_ws1['C10':'J{}'.format(test_ws1.max_row)]
colG = test_ws1['G10':'G{}'.format(test_ws1.max_row)]

for i in colC:
    if i[7].value and i[0].value is None:
        # if i[0].value:
        i[0].value = v_property[i[7].value]

for nformat in colG:
    if nformat[0].value:
        print(nformat[0].value, type(nformat[0].value))
        if isinstance(nformat[0].value, str):
            try:
                num_value = float(nformat[0].value)
                nformat[0].value = num_value
            except ValueError as ve:
                print(str(ve))

        # print(format[0])
        nformat[0].number_format = '#,##0'


test_wb.save('//mozaiq/levente.marton/#mngm/SALSYS/' + dest_book)
test_wb.close()
file_open('//mozaiq/levente.marton/#mngm/SALSYS/' + dest_book)
# task.getsfile()
# task.getdfile()

# task.setsfile('\\\mozaiq\\levente.marton\\#cnta\\backup\\Facturi\\Facturi_Mol\\EXCEL\\latest_invoice.xlsx')

# task.getsfile()

# task.set_source_sheet('Sheet1')
# task.set_dest_sheet('Sheet1'
