# coding: UTF-8

from cielify_common import *

ws_1.insert_cols(1)
ws_1.insert_cols(9)
ws_1['I1'] = 'Cont venituri servicii'
ws_1['J1'] = 'Cont cheltuieli servicii'
ws_1['A1'] = 'Cod'

col_stockable = ws_1[f'G2:G{last_row}']
col_category = ws_1[f'F2:F{last_row}']
col_cod = ws_1[f'A2:A{last_row}']
colB = ws_1[f'B2:B{last_row}']
colC = ws_1[f'C2:C{last_row}']

colABC = zip(col_cod, colB, colC)

## swapping stockable txt with 1 | 0
for i in col_stockable:
    i[0].value = tip[i[0].value]

## replacing empty cat. with None
for i in col_category:
    if i[0].value == '...':
        i[0].value = ''

## swapping article code
for a, b, c in colABC:
    if c[0].value:
        a[0].value = c[0].value
    else:
        a[0].value = b[0].value
        a[0].value = str(a[0].value)

## delete unneeded columns
ws_1.delete_cols(2)
ws_1.delete_cols(2)

## swapping account types
col_sablon = ws_1[f'F2:F{last_row}']
col_st_sablon = zip(col_stockable, col_sablon)
for s, i in col_st_sablon:
    if s[0].value == 1:
        i[0].value = tip_account[i[0].value]

## seting income accounts
col_expens = ws_1[f'H2:H{last_row}']
col_income = ws_1[f'G2:G{last_row}']
col_inc_exp = zip(col_income, col_expens)

for i, e in col_inc_exp:
    if e[0].value:
        if e[0].value.startswith('6'):
            e[0].value = e[0].value
        else:
            i[0].value = e[0].value
            e[0].value = None

## setting simbols
acc_symbols = account_wrapper(wb1='Plan de conturi_ciel.xlsx')
symbols = set()
for symbol in acc_symbols:
    if symbol[0].value:
        symbols.add(symbol[0].value)
## incomes
col_st_inc = zip(col_stockable, col_income)
for s, i in col_st_inc:
    if s[0].value == 0:
        for symbol in symbols:
            if i[0].value:
                if symbol[:3] in i[0].value:
                    i[0].value = symbol
    elif s[0].value == 1:
        i[0].value = None

## expenses
col_st_exp = zip(col_stockable, col_expens)
for s, i in col_st_exp:
    if s[0].value == 0:
        for symbol in symbols:
            if i[0].value:
                if symbol[:3] in i[0].value:
                    i[0].value = symbol

wb_1.save('articole_test.xlsx')
