# coding: UTF-8

import re
from cielify_common import *

attr_fiscal = re.compile('[A-Z]*')
colL= ws_1[f'L2:L{last_row}']
colK = ws_1[f'K2:K{last_row}']

colKL = zip(colK, colL)

for t1, t2 in colKL:
    if t1[0].value != 0:
        t2[0].value = t1[0].value

ws_1.delete_cols(11)
ws_1.insert_cols(3)
ws_1.insert_cols(9)
ws_1.insert_cols(10)
ws_1['C1'].value = 'Atribut fiscal'
ws_1['I1'].value = 'Tara'
ws_1['J1'].value = 'Rezidenta'

for attribute in ws_1[f'C2:D{last_row}']:
    if attribute[1].value:
#         print(str(attribute[1].value))
        p = attr_fiscal.search(str(attribute[1].value[:2]))
#         print(p.group())
        attribute[0].value = p.group()

wb_2 = xl.load_workbook(filename='Tari.xlsx')
ws_2 = wb_2.worksheets[0]
# for c in ws_2[f'A2:A{ws_2.max_row}']:
#     if ',' in c[0].value:
#         c[0].value = re.sub(',', '', c[0].value)
#         print(c[0].value)

d = {t[2].value: [t[0].value, t[1].value] for t in ws_2[f'A2:C{ws_2.max_row}']}
d1 = defaultdict(lambda: None)
d1.update(d)
# for t in ws_2[f'A2:C{ws_2.max_row}']:
#     print(t[0].value)
#     d[t[0].value] = t[1].value

# for k, v in d1.items():
#     print(k, v)

for code, country, residance in zip(ws_1[f'C2:C{last_row}'], ws_1[f'I2:I{last_row}'], ws_1[f'J2:J{last_row}']):
    if code[0].value:
        if d1[code[0].value]:
#             print(d1[code[0].value][0])
            country[0].value = d1[code[0].value][0]
            residance[0].value = d1[code[0].value][1]
            print(country[0].value)
    else:
        country[0].value = RESIDANCE
        residance[0].value = RESIDANCE
wb_1.save('parteneri_test.xlsx')
# wb2.save('tari_test.xlsx')
