'''
Created on Sep 7, 2020 @author: Levi
'''

import pandas as pd

art = {
    'MOTORINA': '1095',
    'BENZINA': '1097',
    'CONSUMABILE AUTO': '26',
    'PROTOCOL': '3243',
    'TAXE': '378'
}
df = pd.read_excel('//mozaiq/levente.marton/#cnta/backup/Facturi/Facturi_Mol/EXCEL/latest_invoice.xlsx')
# df = pd.read_excel('latest_invoice.xlsx')

names = [n for n in df['Produs']]
lic_plates = [n for n in df['Numar inmatriculare']]
n_codes = []
notes = []
for c, p in zip(names, lic_plates):
    for k, v in art.items():
        if k in c:
            n_codes.append(v)
            notes.append(p)

df['Cod produs'] = n_codes
df['Observatii'] = notes

ndf = pd.DataFrame(df[['Cod produs', 'Cantitate', 'Pret unitar net', 'Observatii']],
                   columns=['Cod produs', 'Cantitate', 'Pret unitar net', 'Observatii'])
ndf.index = ndf['Cod produs']
ndf.drop('Cod produs', axis=1, inplace=True)
ndf.to_excel('mol.xlsx', header=False)
